cURL
curl --request GET \
--url https://api.example.com/lines/{lineId}/products/{productId}/consumptions \
--header 'client_id: <api-key>' \
--header 'secret_key: <api-key>'import requests
url = "https://api.example.com/lines/{lineId}/products/{productId}/consumptions"
headers = {
"client_id": "<api-key>",
"secret_key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {client_id: '<api-key>', secret_key: '<api-key>'}};
fetch('https://api.example.com/lines/{lineId}/products/{productId}/consumptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"componentId": "<string>",
"unit": "<string>",
"buckets": [
{
"start": "<string>",
"end": "<string>",
"value": 123
}
]
}
],
"meta": {
"total": 1,
"page": 123,
"pageSize": 123,
"totalPages": 1,
"lineId": "<string>",
"productId": "<string>",
"tz": "<string>",
"startDate": "<string>",
"endDate": "<string>"
}
}Usage
Get consumptions
GET
/
lines
/
{lineId}
/
products
/
{productId}
/
consumptions
cURL
Query Parameters
Available options:
hour, day, month Pattern:
^\d{4}-\d{2}-\d{2}$Pattern:
^\d{4}-\d{2}-\d{2}$Required range:
x <= 100⌘I